/*================================================*/
/* TVKMOUSE.C                                     */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include "tvapi.h"

/*================================================*/
/* TVqry_kmouse   are we using a keyboard mouse?  */
/*   Ralf Brown 7/12/88                           */
/*================================================*/

int pascal TVqry_kmouse(void)
{
   _AX = 0x102D ;
   _BL = 0 ;
   geninterrupt(0x15) ;
   return _BL ;
}

/*================================================*/
/* TVapi_kmouse   turn keyboard mouse on or off   */
/*   Ralf Brown 7/12/88                           */
/*================================================*/

void pascal TVapi_kmouse(int active)
{
   if (active)
      _BL = 1 ;
   else
      _BL = 2 ;
   _AX = 0x102D ;
   geninterrupt(0x15) ;
}

/* End of TVKMOUSE.C */
